using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.BusinessLogicsContracts
{
	public interface IItemForStudyLogic
	{
		List<ItemForStudyViewModel>? ReadList(ItemForStudySearchModel? model);
		ItemForStudyViewModel? ReadElement(ItemForStudySearchModel model);
		bool Create(ItemForStudyBindingModel model);
		bool Update(ItemForStudyBindingModel model);
		bool Delete(ItemForStudyBindingModel model);
	}
}
